Bug 168869 - [JSCOnly][GTK] Suppress warnings on return type in B3 and WASM
Summary: [JSCOnly][GTK] Suppress warnings on return type in B3 and WASM
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-25 05:19 PST by Yusuke Suzuki
Modified: 2017-03-05 00:37 PST (History)
5 users (show)

See Also:


Attachments
Patch (2.22 KB, patch)
2017-02-25 05:20 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2017-02-25 05:19:37 PST
[JSCOnly][GTK] Suppress warnings on return type in B3 and WASM
Comment 1 Yusuke Suzuki 2017-02-25 05:20:05 PST
Created attachment 302757 [details]
Patch
Comment 2 Yusuke Suzuki 2017-03-03 22:26:48 PST
Ping?
Comment 3 Keith Miller 2017-03-04 10:58:19 PST
Comment on attachment 302757 [details]
Patch

r=me. Why are these warnings happening on GCC though?
Comment 4 Yusuke Suzuki 2017-03-05 00:09:38 PST
(In reply to comment #3)
> Comment on attachment 302757 [details]
> Patch
> 
> r=me. Why are these warnings happening on GCC though?

Even with very new gcc (5.4.0), this warning happens.
Maybe, I think that GCC considers switch can take arbitrary integers even if the value is typed with scoped enum.
Comment 5 WebKit Commit Bot 2017-03-05 00:37:38 PST
Comment on attachment 302757 [details]
Patch

Clearing flags on attachment: 302757

Committed r213433: <http://trac.webkit.org/changeset/213433>
Comment 6 WebKit Commit Bot 2017-03-05 00:37:42 PST
All reviewed patches have been landed.  Closing bug.